Clamd client(1)

NAME

clamdscan - scan files and directories against viruses using Clam AntiVirus Daemon

SYNOPSIS

clamdscan [options] [file/directory]

DESCRIPTION

clamdscan is a simple clamd client which may be used as a clamscan replacement. clamdscan accepts all the options implemented in clamscan but most of them will be ignored because its scanning abilities only depend on clamd. clamdscan is a part of the Clam AntiVirus package.

OPTIONS

-h, --help
    Output help information and exit.

-V, --version
    Print version number and exit.

-v, --verbose
    Be verbose. This option causes clamscan to print many additional informations.

--quiet
    Be quiet - only output error messages.

--stdout
    Write all messages to the standard output (stdout) instead of the standard error output (stderr).

--config-file=FILE
    Read clamd settings from FILE.

-l FILE, --log=FILE
    Save the scan report to FILE.

--log-verbose
    Save additional messages (mostly useless) to the report file.

--no-summary
    Do not display summary at the end of scanning.

EXAMPLES

(0) To scan a one file:
    clamdscan file

(1) To scan a current working directory:
    clamdscan

(2) To scan all files in /home:
    clamdscan /home

RETURN CODES

0 : No virus found.

1 : Virus(es) found.

2 : An error occured.

CREDITS
Please check the full documentation for credits.

AUTHOR

Tomasz Kojm <tkojm@clamav.net>

SEE ALSO

clamscan(1), clamd(8), freshclam(1), clamd.conf(5)